Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.message.header
Class UpnpHeader<T>

    java.lang.Object
      org.teleal.cling.model.message.header.UpnpHeader<T>

Direct Known Subclasses:
  CallbackHeader, ContentTypeHeader, DeviceTypeHeader, DeviceUSNHeader, EventSequenceHeader, EXTHeader, HostHeader, InterfaceMacHeader, LocationHeader, MANHeader, MaxAgeHeader, MXHeader, NTEventHeader, NTSHeader, RootDeviceHeader, ServerHeader, ServiceTypeHeader, ServiceUSNHeader, SoapActionHeader, STAllHeader, SubscriptionIdHeader, TimeoutHeader, UDADeviceTypeHeader, UDAServiceTypeHeader, UDNHeader, USNRootDeviceHeader

    public abstract class UpnpHeader<T>

extends Object

Nested Class Summary
`static class` | `UpnpHeader.Type`

Constructor Summary
`UpnpHeader()`

Method Summary
`abstract String` | `getString()`
`T` | `getValue()`
`static UpnpHeader` | `newInstance(UpnpHeader.Type type, String headerValue)`
`abstract void` | `setString(String s)`
`void` | `setValue(T value)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UpnpHeader

    public UpnpHeader()

Method Detail

### setValue

    public void setValue(T value)

### getValue

    public T getValue()

### setString

    public abstract void setString(String s)
                            throws InvalidHeaderException

  Throws:
    `InvalidHeaderException`

### getString

    public abstract String getString()

### newInstance

    public static UpnpHeader newInstance(UpnpHeader.Type type,
                                         String headerValue)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.